bt_packet_logger_client_free
bt_packet_logger_client_new
bt_packet_logger_client_start_service
bt_packet_logger_client_t
bt_packet_logger_error_t
bt_packet_logger_receive_cb_t
bt_packet_logger_receive_with_timeout
bt_packet_logger_start_capture
bt_packet_logger_stop_capture

## bt_packet_logger_client_start_service()

LIBIMOBILEDEVICE_API bt_packet_logger_error_t bt_packet_logger_client_start_service | ( | idevice_t | device,
|  | bt_packet_logger_client_t * | client,
|  | const char * | label )

Starts a new bt_packet_logger service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated bt_packet_logger_client_t upon successful return. Must be freed using bt_packet_logger_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  BT_PACKET_LOGGER_E_SUCCESS on success, or an BT_PACKET_LOGGER_E_* error code otherwise.